#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.24 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..$/..
PRJNAME=xmloff
TARGET=draw
AUTOSEG=true
ENABLE_EXCEPTIONS=TRUE

# --- Settings -----------------------------------------------------

.INCLUDE : settings.mk
.INCLUDE: $(PRJ)$/util$/makefile.pmk

# --- Files --------------------------------------------------------

SLOFILES =	\
        $(SLO)$/animationexport.obj\
        $(SLO)$/animationimport.obj\
        $(SLO)$/XMLNumberStyles.obj\
        $(SLO)$/XMLGraphicsDefaultStyle.obj\
        $(SLO)$/viewcontext.obj\
        $(SLO)$/eventimp.obj\
        $(SLO)$/layerexp.obj\
        $(SLO)$/layerimp.obj\
        $(SLO)$/ximpshow.obj\
        $(SLO)$/animimp.obj\
        $(SLO)$/animexp.obj\
        $(SLO)$/numithdl.obj\
        $(SLO)$/sdxmlimp.obj \
        $(SLO)$/sdxmlexp.obj \
        $(SLO)$/ximpstyl.obj \
        $(SLO)$/ximpbody.obj \
        $(SLO)$/ximpshap.obj \
        $(SLO)$/ximpgrp.obj \
        $(SLO)$/ximp3dscene.obj \
        $(SLO)$/ximp3dobject.obj \
        $(SLO)$/ximpnote.obj \
        $(SLO)$/sdpropls.obj \
        $(SLO)$/propimp0.obj \
        $(SLO)$/xexptran.obj \
        $(SLO)$/shapeexport.obj \
        $(SLO)$/shapeexport2.obj \
        $(SLO)$/shapeexport3.obj \
        $(SLO)$/shapeexport4.obj \
        $(SLO)$/shapeimport.obj \
        $(SLO)$/XMLImageMapExport.obj \
        $(SLO)$/XMLImageMapContext.obj \
        $(SLO)$/XMLShapePropertySetContext.obj \
        $(SLO)$/XMLShapeStyleContext.obj \
        $(SLO)$/ximppage.obj \
        $(SLO)$/ximpcustomshape.obj \
        $(SLO)$/EnhancedCustomShapeToken.obj \
        $(SLO)$/XMLReplacementImageContext.obj \
        $(SLO)$/descriptionimp.obj \
        $(SLO)$/ximplink.obj

# --- Targets --------------------------------------------------------------

.INCLUDE : target.mk

